Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_SHMIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <SHMIOP_Connection_Handler.h>`

Inheritance diagram for TAO_SHMIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_SHMIOP_Connection_Handler:

[legend]
List of all members.

## Public Member Functions
| TAO_SHMIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| Constructor.
| TAO_SHMIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
| ~TAO_SHMIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
virtual int | open_handler (void *)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
## Protected Member Functions
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
## Private Attributes
int | resume_flag_

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SHMIOP_Connection_Handler::TAO_SHMIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = `0` | ) |

| Constructor.

TAO_SHMIOP_Connection_Handler::TAO_SHMIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_SHMIOP_Connection_Handler::~TAO_SHMIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SHMIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_SHMIOP_Connection_Handler::close | ( | u_long | = `0` | ) | `[virtual]`

| Close called by the Acceptor or Connector when connection establishment fails. Reimplemented from ACE_Svc_Handler<, >.

int TAO_SHMIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler<, >.

int TAO_SHMIOP_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SHMIOP_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = `0`
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler<, >.

int TAO_SHMIOP_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

| Called by the <strategy_acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Svc_Handler<, >.

int TAO_SHMIOP_Connection_Handler::open_handler | ( | void * |  | ) | `[virtual]`

| Connection_Handler overloads Implements TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

int TAO_SHMIOP_Connection_Handler::resume_flag_`[private]`

| Flag that we will be passing to the event handler to indicate whether the handle will be resumed by the method or not.

The documentation for this class was generated from the following files:

- SHMIOP_Connection_Handler.h
- SHMIOP_Connection_Handler.cpp